Bug 57267 - devel/stlport is broken under -current
Summary: devel/stlport is broken under -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-27 03:30 UTC by edwin
Modified: 2003-10-05 09:36 UTC (History)
1 user (show)

See Also:


Attachments
devel::stlport.diff (4.01 KB, patch)
2003-10-04 00:36 UTC, marius
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2003-09-27 03:30:13 UTC
devel/stlport is broken under -current due to the inclusion of a
file which doesn't exist:

http://bento.freebsd.org/errorlogs/i386-5-latest/stlport-gcc-4.5.3_1.log

g++ -D_THREAD_SAFE -D_REENTRANT -fexceptions -I../stlport -Wall -W -Wno-sign-compare -Wno-unused -Wno-uninitialized -ftemplate-depth-32 -O -pipe -mcpu=pentiumpro -fPIC dll_main.cpp -c -o ../lib/obj/GCC-FREEBSD/ReleaseD/dll_main.o
In file included from stlport_prefix.h:28,
                 from dll_main.cpp:29:
../stlport/ctime:25:44: ../g++/ctime: No such file or directory
In file included from stlport_prefix.h:28,
                 from dll_main.cpp:29:
../stlport/ctime:32: error: `size_t' not declared
[...]

Fix: 

Simply changing stlport/ctime:25 didn't solve the problem.
How-To-Repeat: 
-
Comment 1 Edwin Groothuis freebsd_committer 2003-09-27 04:35:47 UTC
Hello,

Just got a message from somebody stating that devel/sdlport isn't
needed anymore on -current. Can you confirm that and do you want
me to put a small line in its Makefile to IGNORE the port when
portbuilding on -current?

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@freebsd.org    |    Weblog: http://www.mavetju.org/weblog/weblog.php
Comment 2 marius 2003-10-04 00:36:35 UTC
Hi,

could you please rather fix it with the attached patch than just marking
it IGNORE? STLport is currently the base for the C++ support of lang/icc
and I'd like to also have the GCC version working.
The patch is tested (and works) on FreeBSD/i386 -stable and -current with
GCC. Although there are no ICC-specific changes I verified that it doesn't
break lang/stlport-icc.
On FreeBSD/alpha and FreeBSD/sparc64 -current lang/stlport compiles with
this patch however the exception handling test fails. On alpha this looks
like a GCC-bug, on sparc64 it could be also a bug in FreeBSD however GCC
is known to have bugs there.
The patch has also a small fix for the Makefile of the port to allow
concurrent buils with `make -jX`.
The wchar-related part of the patch (which is also needed to fix
compilation on -current) is obtained from the STLport CVS repository.
Comment 3 pmarquis 2003-10-04 21:22:53 UTC
=2D----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Marius,

Thanks for taking the time to look at this.  It's been on my TODO list=20
for quite a while. =20

I looked at the patches and verified that they work on -stable.  I=20
don't run -current (yet), so I'll accept that the patches fix the=20
build on -current.

Again, many thanks!

On Friday 03 October 2003 07:36 pm, Marius Strobl wrote:
> Hi,
>
> could you please rather fix it with the attached patch than just
> marking it IGNORE? STLport is currently the base for the C++
> support of lang/icc and I'd like to also have the GCC version
> working.
> The patch is tested (and works) on FreeBSD/i386 -stable and
> -current with GCC. Although there are no ICC-specific changes I
> verified that it doesn't break lang/stlport-icc.
> On FreeBSD/alpha and FreeBSD/sparc64 -current lang/stlport compiles
> with this patch however the exception handling test fails. On alpha
> this looks like a GCC-bug, on sparc64 it could be also a bug in
> FreeBSD however GCC is known to have bugs there.
> The patch has also a small fix for the Makefile of the port to
> allow concurrent buils with `make -jX`.
> The wchar-related part of the patch (which is also needed to fix
> compilation on -current) is obtained from the STLport CVS
> repository.

=2D --=20
Paul Marquis
pmarquis@pobox.com
=2D----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (FreeBSD)

iD8DBQE/fywhIuLAUo3z6B0RAgvoAKC7W7ml7E34rHMlOXa7bkFVilSzrACfd8Wi
wMZdHs+9c6eHWzJ5RueX4mU=3D
=3D358+
=2D----END PGP SIGNATURE-----
Comment 4 Alexander Leidinger freebsd_committer 2003-10-05 09:35:35 UTC
State Changed
From-To: open->closed

Committed, thanks.